I'm trying to install HP4 for ZDM7 on a Netware 6.5 server with SP8. ZDM 7 with SP1 is installed on the server. When I select the server to patch I get an error :

We are unable to determine that ZENworks Desktop Management [version] is installed on [server name]. This can be caused by not having sufficient rights to the target server. Be sure that
ZENworks [version] is installed and that you have rights to administer [server name] before applying the support pack.

I have tried TID 3402203 but get the same error. What else could be the cause of this problem.